# azure.mgmt.compute.v2019_03_01.operations module

class `azure.mgmt.compute.v2019_03_01.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets a list of compute operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ComputeOperationValue
    Return type: | ComputeOperationValuePaged[ComputeOperationValue]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``AvailabilitySetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  AvailabilitySetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, availability_set_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update an availability set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - availability_set_name (str) – The name of the availability set.
    - parameters (AvailabilitySet) – Parameters supplied to the Create Availability Set operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AvailabilitySet or ClientRawResponse if raw=true
    Return type: | AvailabilitySet or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, availability_set_name, custom_headers=None, raw=False, **operation_config)

    Delete an availability set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - availability_set_name (str) – The name of the availability set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, availability_set_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about an availability set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - availability_set_name (str) – The name of the availability set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AvailabilitySet or ClientRawResponse if raw=true
    Return type: | AvailabilitySet or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all availability sets in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AvailabilitySet
    Return type: | AvailabilitySetPaged[AvailabilitySet]
    Raises: | `CloudError`

  `list_available_sizes`(resource_group_name, availability_set_name, custom_headers=None, raw=False, **operation_config)

    Lists all available virtual machine sizes that can be used to create a new virtual machine in an existing availability set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - availability_set_name (str) – The name of the availability set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineSize
    Return type: | VirtualMachineSizePaged[VirtualMachineSize]
    Raises: | `CloudError`

  `list_by_subscription`(expand=None, custom_headers=None, raw=False, **operation_config)

    Lists all availability sets in a subscription.

    Parameters:

    - expand (str) – The expand expression to apply to the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AvailabilitySet
    Return type: | AvailabilitySetPaged[AvailabilitySet]
    Raises: | `CloudError`

  `update`(resource_group_name, availability_set_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an availability set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - availability_set_name (str) – The name of the availability set.
    - parameters (AvailabilitySetUpdate) – Parameters supplied to the Update Availability Set operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AvailabilitySet or ClientRawResponse if raw=true
    Return type: | AvailabilitySet or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``ProximityPlacementGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProximityPlacementGroupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, proximity_placement_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a proximity placement group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - proximity_placement_group_name (str) – The name of the proximity placement group.
    - parameters (ProximityPlacementGroup) – Parameters supplied to the Create Proximity Placement Group operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProximityPlacementGroup or ClientRawResponse if raw=true
    Return type: | ProximityPlacementGroup or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, proximity_placement_group_name, custom_headers=None, raw=False, **operation_config)

    Delete a proximity placement group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - proximity_placement_group_name (str) – The name of the proximity placement group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, proximity_placement_group_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a proximity placement group .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - proximity_placement_group_name (str) – The name of the proximity placement group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProximityPlacementGroup or ClientRawResponse if raw=true
    Return type: | ProximityPlacementGroup or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all proximity placement groups in a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProximityPlacementGroup
    Return type: | ProximityPlacementGroupPaged[ProximityPlacementGroup]
    Raises: | `CloudError`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Lists all proximity placement groups in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ProximityPlacementGroup
    Return type: | ProximityPlacementGroupPaged[ProximityPlacementGroup]
    Raises: | `CloudError`

  `update`(resource_group_name, proximity_placement_group_name, tags=None, custom_headers=None, raw=False, **operation_config)

    Update a proximity placement group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - proximity_placement_group_name (str) – The name of the proximity placement group.
    - tags (dict[str, str]) – Resource tags
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ProximityPlacementGroup or ClientRawResponse if raw=true
    Return type: | ProximityPlacementGroup or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``DedicatedHostGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DedicatedHostGroupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, host_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update a dedicated host group. For details of Dedicated Host and Dedicated Host Groups please see [Dedicated Host Documentation] (https://go.microsoft.com/fwlink/?linkid=2082596).

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - parameters (DedicatedHostGroup) – Parameters supplied to the Create Dedicated Host Group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DedicatedHostGroup or ClientRawResponse if raw=true
    Return type: | DedicatedHostGroup or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, host_group_name, custom_headers=None, raw=False, **operation_config)

    Delete a dedicated host group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, host_group_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a dedicated host group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DedicatedHostGroup or ClientRawResponse if raw=true
    Return type: | DedicatedHostGroup or ClientRawResponse
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the dedicated host groups in the specified resource group. Use the nextLink property in the response to get the next page of dedicated host groups.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DedicatedHostGroup
    Return type: | DedicatedHostGroupPaged[DedicatedHostGroup]
    Raises: | `CloudError`

  `list_by_subscription`(custom_headers=None, raw=False, **operation_config)

    Lists all of the dedicated host groups in the subscription. Use the nextLink property in the response to get the next page of dedicated host groups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DedicatedHostGroup
    Return type: | DedicatedHostGroupPaged[DedicatedHostGroup]
    Raises: | `CloudError`

  `update`(resource_group_name, host_group_name, parameters, custom_headers=None, raw=False, **operation_config)

    Update an dedicated host group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - parameters (DedicatedHostGroupUpdate) – Parameters supplied to the Update Dedicated Host Group operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DedicatedHostGroup or ClientRawResponse if raw=true
    Return type: | DedicatedHostGroup or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``DedicatedHostsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DedicatedHostsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, host_group_name, host_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a dedicated host .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - host_name (str) – The name of the dedicated host .
    - parameters (DedicatedHost) – Parameters supplied to the Create Dedicated Host.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DedicatedHost or ClientRawResponse<DedicatedHost> if raw==True
    Return type: | AzureOperationPoller[DedicatedHost] or AzureOperationPoller[ClientRawResponse[DedicatedHost]]
    Raises: | `CloudError`

  `delete`(resource_group_name, host_group_name, host_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a dedicated host.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - host_name (str) – The name of the dedicated host.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, host_group_name, host_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a dedicated host.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - host_name (str) – The name of the dedicated host.
    - expand (str or InstanceViewTypes) – The expand expression to apply on the operation. Possible values include: ‘instanceView’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DedicatedHost or ClientRawResponse if raw=true
    Return type: | DedicatedHost or ClientRawResponse
    Raises: | `CloudError`

  `list_by_host_group`(resource_group_name, host_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the dedicated hosts in the specified dedicated host group. Use the nextLink property in the response to get the next page of dedicated hosts.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DedicatedHost
    Return type: | DedicatedHostPaged[DedicatedHost]
    Raises: | `CloudError`

  `update`(resource_group_name, host_group_name, host_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Update an dedicated host .

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - host_group_name (str) – The name of the dedicated host group.
    - host_name (str) – The name of the dedicated host .
    - parameters (DedicatedHostUpdate) – Parameters supplied to the Update Dedicated Host operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns DedicatedHost or ClientRawResponse<DedicatedHost> if raw==True
    Return type: | AzureOperationPoller[DedicatedHost] or AzureOperationPoller[ClientRawResponse[DedicatedHost]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineExtensionImagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineExtensionImagesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `get`(location, publisher_name, type, version, custom_headers=None, raw=False, **operation_config)

    Gets a virtual machine extension image.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) –
    - type (str) –
    - version (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineExtensionImage or ClientRawResponse if raw=true
    Return type: | VirtualMachineExtensionImage or ClientRawResponse
    Raises: | `CloudError`

  `list_types`(location, publisher_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual machine extension image types.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineExtensionImage] or ClientRawResponse
    Raises: | `CloudError`

  `list_versions`(location, publisher_name, type, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual machine extension image versions.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) –
    - type (str) –
    - filter (str) – The filter to apply on the operation.
    - top (int) –
    - orderby (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineExtensionImage] or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineExtensionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineExtensionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, vm_name, vm_extension_name, extension_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to create or update the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine where the extension should be created or updated.
    - vm_extension_name (str) – The name of the virtual machine extension.
    - extension_parameters (VirtualMachineExtension) – Parameters supplied to the Create Virtual Machine Extension operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineExtension or ClientRawResponse<VirtualMachineExtension> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineExtension] or AzureOperationPoller[ClientRawResponse[VirtualMachineExtension]]
    Raises: | `CloudError`

  `delete`(resource_group_name, vm_name, vm_extension_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to delete the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine where the extension should be deleted.
    - vm_extension_name (str) – The name of the virtual machine extension.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, vm_name, vm_extension_name, expand=None, custom_headers=None, raw=False, **operation_config)

    The operation to get the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine containing the extension.
    - vm_extension_name (str) – The name of the virtual machine extension.
    - expand (str) – The expand expression to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineExtension or ClientRawResponse if raw=true
    Return type: | VirtualMachineExtension or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, vm_name, expand=None, custom_headers=None, raw=False, **operation_config)

    The operation to get all extensions of a Virtual Machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine containing the extension.
    - expand (str) – The expand expression to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineExtensionsListResult or ClientRawResponse if raw=true
    Return type: | VirtualMachineExtensionsListResult or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, vm_name, vm_extension_name, extension_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to update the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine where the extension should be updated.
    - vm_extension_name (str) – The name of the virtual machine extension.
    - extension_parameters (VirtualMachineExtensionUpdate) – Parameters supplied to the Update Virtual Machine Extension operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineExtension or ClientRawResponse<VirtualMachineExtension> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineExtension] or AzureOperationPoller[ClientRawResponse[VirtualMachineExtension]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineImagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineImagesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `get`(location, publisher_name, offer, skus, version, custom_headers=None, raw=False, **operation_config)

    Gets a virtual machine image.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) – A valid image publisher.
    - offer (str) – A valid image publisher offer.
    - skus (str) – A valid image SKU.
    - version (str) – A valid image SKU version.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineImage or ClientRawResponse if raw=true
    Return type: | VirtualMachineImage or ClientRawResponse
    Raises: | `CloudError`

  `list`(location, publisher_name, offer, skus, filter=None, top=None, orderby=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of all virtual machine image versions for the specified location, publisher, offer, and SKU.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) – A valid image publisher.
    - offer (str) – A valid image publisher offer.
    - skus (str) – A valid image SKU.
    - filter (str) – The filter to apply on the operation.
    - top (int) –
    - orderby (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineImageResource] or ClientRawResponse
    Raises: | `CloudError`

  `list_offers`(location, publisher_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual machine image offers for the specified location and publisher.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) – A valid image publisher.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineImageResource] or ClientRawResponse
    Raises: | `CloudError`

  `list_publishers`(location, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual machine image publishers for the specified Azure location.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineImageResource] or ClientRawResponse
    Raises: | `CloudError`

  `list_skus`(location, publisher_name, offer, custom_headers=None, raw=False, **operation_config)

    Gets a list of virtual machine image SKUs for the specified location, publisher, and offer.

    Parameters:

    - location (str) – The name of a supported Azure region.
    - publisher_name (str) – A valid image publisher.
    - offer (str) – A valid image publisher offer.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | list or ClientRawResponse if raw=true
    Return type: | list[VirtualMachineImageResource] or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``UsageOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsageOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `list`(location, custom_headers=None, raw=False, **operation_config)

    Gets, for the specified location, the current compute resource usage information as well as the limits for compute resources under the subscription.

    Parameters:

    - location (str) – The location for which resource usage is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Usage
    Return type: | UsagePaged[Usage]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachinesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachinesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `capture`(resource_group_name, vm_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Captures the VM by copying virtual hard disks of the VM and outputs a template that can be used to create similar VMs.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - parameters (VirtualMachineCaptureParameters) – Parameters supplied to the Capture Virtual Machine operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineCaptureResult or ClientRawResponse<VirtualMachineCaptureResult> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineCaptureResult] or AzureOperationPoller[ClientRawResponse[VirtualMachineCaptureResult]]
    Raises: | `CloudError`

  `convert_to_managed_disks`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Converts virtual machine disks from blob-based to managed disks. Virtual machine must be stop-deallocated before invoking this operation.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, vm_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to create or update a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - parameters (VirtualMachine) – Parameters supplied to the Create Virtual Machine operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachine or ClientRawResponse<VirtualMachine> if raw==True
    Return type: | AzureOperationPoller[VirtualMachine] or AzureOperationPoller[ClientRawResponse[VirtualMachine]]
    Raises: | `CloudError`

  `deallocate`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Shuts down the virtual machine and releases the compute resources. You are not billed for the compute resources that this virtual machine uses.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `delete`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to delete a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `generalize`(resource_group_name, vm_name, custom_headers=None, raw=False, **operation_config)

    Sets the state of the virtual machine to generalized.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, vm_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Retrieves information about the model view or the instance view of a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - expand (str or InstanceViewTypes) – The expand expression to apply on the operation. Possible values include: ‘instanceView’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachine or ClientRawResponse if raw=true
    Return type: | VirtualMachine or ClientRawResponse
    Raises: | `CloudError`

  `instance_view`(resource_group_name, vm_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about the run-time state of a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineInstanceView or ClientRawResponse if raw=true
    Return type: | VirtualMachineInstanceView or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all of the virtual machines in the specified resource group. Use the nextLink property in the response to get the next page of virtual machines.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachine
    Return type: | VirtualMachinePaged[VirtualMachine]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Lists all of the virtual machines in the specified subscription. Use the nextLink property in the response to get the next page of virtual machines.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachine
    Return type: | VirtualMachinePaged[VirtualMachine]
    Raises: | `CloudError`

  `list_available_sizes`(resource_group_name, vm_name, custom_headers=None, raw=False, **operation_config)

    Lists all available virtual machine sizes to which the specified virtual machine can be resized.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineSize
    Return type: | VirtualMachineSizePaged[VirtualMachineSize]
    Raises: | `CloudError`

  `list_by_location`(location, custom_headers=None, raw=False, **operation_config)

    Gets all the virtual machines under the specified subscription for the specified location.

    Parameters:

    - location (str) – The location for which virtual machines under the subscription are queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachine
    Return type: | VirtualMachinePaged[VirtualMachine]
    Raises: | `CloudError`

  `perform_maintenance`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to perform maintenance on a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `power_off`(resource_group_name, vm_name, skip_shutdown=False, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to power off (stop) a virtual machine. The virtual machine can be restarted with the same provisioned resources. You are still charged for this virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - skip_shutdown (bool) – The parameter to request non-graceful VM shutdown. True value for this flag indicates non-graceful shutdown whereas false indicates otherwise. Default value for this flag is false if not specified
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `redeploy`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Shuts down the virtual machine, moves it to a new node, and powers it back on.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reimage`(resource_group_name, vm_name, temp_disk=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Reimages the virtual machine which has an ephemeral OS disk back to its initial state.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - temp_disk (bool) – Specifies whether to reimage temp disk. Default value: false. Note: This temp disk reimage parameter is only supported for VM/VMSS with Ephemeral OS disk.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `restart`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to restart a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `run_command`(resource_group_name, vm_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Run command on the VM.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - parameters (RunCommandInput) – Parameters supplied to the Run command operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns RunCommandResult or ClientRawResponse<RunCommandResult> if raw==True
    Return type: | AzureOperationPoller[RunCommandResult] or AzureOperationPoller[ClientRawResponse[RunCommandResult]]
    Raises: | `CloudError`

  `start`(resource_group_name, vm_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to start a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, vm_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to update a virtual machine.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_name (str) – The name of the virtual machine.
    - parameters (VirtualMachineUpdate) – Parameters supplied to the Update Virtual Machine operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachine or ClientRawResponse<VirtualMachine> if raw==True
    Return type: | AzureOperationPoller[VirtualMachine] or AzureOperationPoller[ClientRawResponse[VirtualMachine]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineSizesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineSizesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `list`(location, custom_headers=None, raw=False, **operation_config)

    This API is deprecated. Use [Resources Skus](https://docs.microsoft.com/en-us/rest/api/compute/resourceskus/list).

    Parameters:

    - location (str) – The location upon which virtual-machine-sizes is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineSize
    Return type: | VirtualMachineSizePaged[VirtualMachineSize]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``ImagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ImagesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, image_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update an image.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_name (str) – The name of the image.
    - parameters (Image) – Parameters supplied to the Create Image operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Image or ClientRawResponse<Image> if raw==True
    Return type: | AzureOperationPoller[Image] or AzureOperationPoller[ClientRawResponse[Image]]
    Raises: | `CloudError`

  `delete`(resource_group_name, image_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an Image.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_name (str) – The name of the image.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, image_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets an image.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_name (str) – The name of the image.
    - expand (str) – The expand expression to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Image or ClientRawResponse if raw=true
    Return type: | Image or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Gets the list of Images in the subscription. Use nextLink property in the response to get the next page of Images. Do this till nextLink is null to fetch all the Images.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Image
    Return type: | ImagePaged[Image]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets the list of images under a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Image
    Return type: | ImagePaged[Image]
    Raises: | `CloudError`

  `update`(resource_group_name, image_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Update an image.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - image_name (str) – The name of the image.
    - parameters (ImageUpdate) – Parameters supplied to the Update Image operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Image or ClientRawResponse<Image> if raw==True
    Return type: | AzureOperationPoller[Image] or AzureOperationPoller[ClientRawResponse[Image]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineScaleSetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineScaleSetsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `convert_to_single_placement_group`(resource_group_name, vm_scale_set_name, active_placement_group_id=None, custom_headers=None, raw=False, **operation_config)

    Converts SinglePlacementGroup property to false for a existing virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the virtual machine scale set to create or update.
    - active_placement_group_id (str) – Id of the placement group in which you want future virtual machine instances to be placed. To query placement group Id, please use Virtual Machine Scale Set VMs - Get API. If not provided, the platform will choose one with maximum number of virtual machine instances.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, vm_scale_set_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set to create or update.
    - parameters (VirtualMachineScaleSet) – The scale set object.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineScaleSet or ClientRawResponse<VirtualMachineScaleSet> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineScaleSet] or AzureOperationPoller[ClientRawResponse[VirtualMachineScaleSet]]
    Raises: | `CloudError`

  `deallocate`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Deallocates specific virtual machines in a VM scale set. Shuts down the virtual machines and releases the compute resources. You are not billed for the compute resources that this virtual machine scale set deallocates.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `delete`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `delete_instances`(resource_group_name, vm_scale_set_name, instance_ids, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes virtual machines in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `force_recovery_service_fabric_platform_update_domain_walk`(resource_group_name, vm_scale_set_name, platform_update_domain, custom_headers=None, raw=False, **operation_config)

    Manual platform update domain walk to update virtual machines in a service fabric virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - platform_update_domain (int) – The platform update domain for which a manual recovery walk is requested
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RecoveryWalkResponse or ClientRawResponse if raw=true
    Return type: | RecoveryWalkResponse or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Display information about a virtual machine scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineScaleSet or ClientRawResponse if raw=true
    Return type: | VirtualMachineScaleSet or ClientRawResponse
    Raises: | `CloudError`

  `get_instance_view`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets the status of a VM scale set instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineScaleSetInstanceView or ClientRawResponse if raw=true
    Return type: | VirtualMachineScaleSetInstanceView or ClientRawResponse
    Raises: | `CloudError`

  `get_os_upgrade_history`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets list of OS upgrades on a VM scale set instance.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of UpgradeOperationHistoricalStatusInfo
    Return type: | UpgradeOperationHistoricalStatusInfoPaged[UpgradeOperationHistoricalStatusInfo]
    Raises: | `CloudError`

  `list`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of all VM scale sets under a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineScaleSet
    Return type: | VirtualMachineScaleSetPaged[VirtualMachineScaleSet]
    Raises: | `CloudError`

  `list_all`(custom_headers=None, raw=False, **operation_config)

    Gets a list of all VM Scale Sets in the subscription, regardless of the associated resource group. Use nextLink property in the response to get the next page of VM Scale Sets. Do this till nextLink is null to fetch all the VM Scale Sets.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineScaleSet
    Return type: | VirtualMachineScaleSetPaged[VirtualMachineScaleSet]
    Raises: | `CloudError`

  `list_skus`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of SKUs available for your VM scale set, including the minimum and maximum VM instances allowed for each SKU.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineScaleSetSku
    Return type: | VirtualMachineScaleSetSkuPaged[VirtualMachineScaleSetSku]
    Raises: | `CloudError`

  `perform_maintenance`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Perform maintenance on one or more virtual machines in a VM scale set. Operation on instances which are not eligible for perform maintenance will be failed. Please refer to best practices for more details: https://docs.microsoft.com/en-us/azure/virtual-machine-scale-sets/virtual-machine-scale-sets-maintenance-notifications.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `power_off`(resource_group_name, vm_scale_set_name, skip_shutdown=False, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Power off (stop) one or more virtual machines in a VM scale set. Note that resources are still attached and you are getting charged for the resources. Instead, use deallocate to release resources and avoid charges.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - skip_shutdown (bool) – The parameter to request non-graceful VM shutdown. True value for this flag indicates non-graceful shutdown whereas false indicates otherwise. Default value for this flag is false if not specified
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `redeploy`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Shuts down all the virtual machines in the virtual machine scale set, moves them to a new node, and powers them back on.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reimage`(resource_group_name, vm_scale_set_name, temp_disk=None, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Reimages (upgrade the operating system) one or more virtual machines in a VM scale set which don’t have a ephemeral OS disk, for virtual machines who have a ephemeral OS disk the virtual machine is reset to initial state.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - temp_disk (bool) – Specifies whether to reimage temp disk. Default value: false. Note: This temp disk reimage parameter is only supported for VM/VMSS with Ephemeral OS disk.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reimage_all`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Reimages all the disks ( including data disks ) in the virtual machines in a VM scale set. This operation is only supported for managed disks.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `restart`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Restarts one or more virtual machines in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `start`(resource_group_name, vm_scale_set_name, instance_ids=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts one or more virtual machines in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids. Omitting the virtual machine scale set instance ids will result in the operation being performed on all virtual machines in the virtual machine scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, vm_scale_set_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Update a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set to create or update.
    - parameters (VirtualMachineScaleSetUpdate) – The scale set object.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineScaleSet or ClientRawResponse<VirtualMachineScaleSet> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineScaleSet] or AzureOperationPoller[ClientRawResponse[VirtualMachineScaleSet]]
    Raises: | `CloudError`

  `update_instances`(resource_group_name, vm_scale_set_name, instance_ids, custom_headers=None, raw=False, polling=True, **operation_config)

    Upgrades one or more virtual machines to the latest SKU set in the VM scale set model.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_ids (list[str]) – The virtual machine scale set instance ids.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineScaleSetExtensionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineScaleSetExtensionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, vm_scale_set_name, vmss_extension_name, extension_parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to create or update an extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set where the extension should be create or updated.
    - vmss_extension_name (str) – The name of the VM scale set extension.
    - extension_parameters (VirtualMachineScaleSetExtension) – Parameters supplied to the Create VM scale set Extension operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineScaleSetExtension or ClientRawResponse<VirtualMachineScaleSetExtension> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineScaleSetExtension] or AzureOperationPoller[ClientRawResponse[VirtualMachineScaleSetExtension]]
    Raises: | `CloudError`

  `delete`(resource_group_name, vm_scale_set_name, vmss_extension_name, custom_headers=None, raw=False, polling=True, **operation_config)

    The operation to delete the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set where the extension should be deleted.
    - vmss_extension_name (str) – The name of the VM scale set extension.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, vm_scale_set_name, vmss_extension_name, expand=None, custom_headers=None, raw=False, **operation_config)

    The operation to get the extension.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set containing the extension.
    - vmss_extension_name (str) – The name of the VM scale set extension.
    - expand (str) – The expand expression to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineScaleSetExtension or ClientRawResponse if raw=true
    Return type: | VirtualMachineScaleSetExtension or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of all extensions in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set containing the extension.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineScaleSetExtension
    Return type: | VirtualMachineScaleSetExtensionPaged[VirtualMachineScaleSetExtension]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineScaleSetRollingUpgradesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineScaleSetRollingUpgradesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `cancel`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Cancels the current virtual machine scale set rolling upgrade.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get_latest`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, **operation_config)

    Gets the status of the latest virtual machine scale set rolling upgrade.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RollingUpgradeStatusInfo or ClientRawResponse if raw=true
    Return type: | RollingUpgradeStatusInfo or ClientRawResponse
    Raises: | `CloudError`

  `start_extension_upgrade`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a rolling upgrade to move all extensions for all virtual machine scale set instances to the latest available extension version. Instances which are already running the latest extension versions are not affected.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `start_os_upgrade`(resource_group_name, vm_scale_set_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a rolling upgrade to move all virtual machine scale set instances to the latest available Platform Image OS version. Instances which are already running the latest available OS version are not affected.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineScaleSetVMsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineScaleSetVMsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `deallocate`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Deallocates a specific virtual machine in a VM scale set. Shuts down the virtual machine and releases the compute resources it uses. You are not billed for the compute resources of this virtual machine once it is deallocated.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `delete`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a virtual machine from a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, vm_scale_set_name, instance_id, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets a virtual machine from a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - expand (str or InstanceViewTypes) – The expand expression to apply on the operation. Possible values include: ‘instanceView’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineScaleSetVM or ClientRawResponse if raw=true
    Return type: | VirtualMachineScaleSetVM or ClientRawResponse
    Raises: | `CloudError`

  `get_instance_view`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, **operation_config)

    Gets the status of a virtual machine from a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | VirtualMachineScaleSetVMInstanceView or ClientRawResponse if raw=true
    Return type: | VirtualMachineScaleSetVMInstanceView or ClientRawResponse
    Raises: | `CloudError`

  `list`(resource_group_name, virtual_machine_scale_set_name, filter=None, select=None, expand=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of all virtual machines in a VM scale sets.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_machine_scale_set_name (str) – The name of the VM scale set.
    - filter (str) – The filter to apply to the operation.
    - select (str) – The list parameters.
    - expand (str) – The expand expression to apply to the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of VirtualMachineScaleSetVM
    Return type: | VirtualMachineScaleSetVMPaged[VirtualMachineScaleSetVM]
    Raises: | `CloudError`

  `perform_maintenance`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Performs maintenance on a virtual machine in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `power_off`(resource_group_name, vm_scale_set_name, instance_id, skip_shutdown=False, custom_headers=None, raw=False, polling=True, **operation_config)

    Power off (stop) a virtual machine in a VM scale set. Note that resources are still attached and you are getting charged for the resources. Instead, use deallocate to release resources and avoid charges.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - skip_shutdown (bool) – The parameter to request non-graceful VM shutdown. True value for this flag indicates non-graceful shutdown whereas false indicates otherwise. Default value for this flag is false if not specified
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `redeploy`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Shuts down the virtual machine in the virtual machine scale set, moves it to a new node, and powers it back on.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reimage`(resource_group_name, vm_scale_set_name, instance_id, temp_disk=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Reimages (upgrade the operating system) a specific virtual machine in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - temp_disk (bool) – Specifies whether to reimage temp disk. Default value: false. Note: This temp disk reimage parameter is only supported for VM/VMSS with Ephemeral OS disk.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `reimage_all`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Allows you to re-image all the disks ( including data disks ) in the a VM scale set instance. This operation is only supported for managed disks.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `restart`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Restarts a virtual machine in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `run_command`(resource_group_name, vm_scale_set_name, instance_id, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Run command on a virtual machine in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - parameters (RunCommandInput) – Parameters supplied to the Run command operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns RunCommandResult or ClientRawResponse<RunCommandResult> if raw==True
    Return type: | AzureOperationPoller[RunCommandResult] or AzureOperationPoller[ClientRawResponse[RunCommandResult]]
    Raises: | `CloudError`

  `start`(resource_group_name, vm_scale_set_name, instance_id, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a virtual machine in a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set.
    - instance_id (str) – The instance ID of the virtual machine.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, vm_scale_set_name, instance_id, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates a virtual machine of a VM scale set.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - vm_scale_set_name (str) – The name of the VM scale set where the extension should be create or updated.
    - instance_id (str) – The instance ID of the virtual machine.
    - parameters (VirtualMachineScaleSetVM) – Parameters supplied to the Update Virtual Machine Scale Sets VM operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns VirtualMachineScaleSetVM or ClientRawResponse<VirtualMachineScaleSetVM> if raw==True
    Return type: | AzureOperationPoller[VirtualMachineScaleSetVM] or AzureOperationPoller[ClientRawResponse[VirtualMachineScaleSetVM]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``LogAnalyticsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LogAnalyticsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `export_request_rate_by_interval`(parameters, location, custom_headers=None, raw=False, polling=True, **operation_config)

    Export logs that show Api requests made by this subscription in the given time window to show throttling activities.

    Parameters:

    - parameters (RequestRateByIntervalInput) – Parameters supplied to the LogAnalytics getRequestRateByInterval Api.
    - location (str) – The location upon which virtual-machine-sizes is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LogAnalyticsOperationResult or ClientRawResponse<LogAnalyticsOperationResult> if raw==True
    Return type: | AzureOperationPoller[LogAnalyticsOperationResult] or AzureOperationPoller[ClientRawResponse[LogAnalyticsOperationResult]]
    Raises: | `CloudError`

  `export_throttled_requests`(parameters, location, custom_headers=None, raw=False, polling=True, **operation_config)

    Export logs that show total throttled Api requests for this subscription in the given time window.

    Parameters:

    - parameters (ThrottledRequestsInput) – Parameters supplied to the LogAnalytics getThrottledRequests Api.
    - location (str) – The location upon which virtual-machine-sizes is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns LogAnalyticsOperationResult or ClientRawResponse<LogAnalyticsOperationResult> if raw==True
    Return type: | AzureOperationPoller[LogAnalyticsOperationResult] or AzureOperationPoller[ClientRawResponse[LogAnalyticsOperationResult]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``VirtualMachineRunCommandsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  VirtualMachineRunCommandsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `get`(location, command_id, custom_headers=None, raw=False, **operation_config)

    Gets specific run command for a subscription in a location.

    Parameters:

    - location (str) – The location upon which run commands is queried.
    - command_id (str) – The command id.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | RunCommandDocument or ClientRawResponse if raw=true
    Return type: | RunCommandDocument or ClientRawResponse
    Raises: | `CloudError`

  `list`(location, custom_headers=None, raw=False, **operation_config)

    Lists all available run commands for a subscription in a location.

    Parameters:

    - location (str) – The location upon which run commands is queried.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RunCommandDocumentBase
    Return type: | RunCommandDocumentBasePaged[RunCommandDocumentBase]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``GalleriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GalleriesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, gallery_name, gallery, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a Shared Image Gallery.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery. The allowed characters are alphabets and numbers with dots and periods allowed in the middle. The maximum length is 80 characters.
    - gallery (Gallery) – Parameters supplied to the create or update Shared Image Gallery operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Gallery or ClientRawResponse<Gallery> if raw==True
    Return type: | AzureOperationPoller[Gallery] or AzureOperationPoller[ClientRawResponse[Gallery]]
    Raises: | `CloudError`

  `delete`(resource_group_name, gallery_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a Shared Image Gallery.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, gallery_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a Shared Image Gallery.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Gallery or ClientRawResponse if raw=true
    Return type: | Gallery or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    List galleries under a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Gallery
    Return type: | GalleryPaged[Gallery]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    List galleries under a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Gallery
    Return type: | GalleryPaged[Gallery]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``GalleryImagesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GalleryImagesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, gallery_name, gallery_image_name, gallery_image, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a gallery Image Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition is to be created.
    - gallery_image_name (str) – The name of the gallery Image Definition to be created or updated. The allowed characters are alphabets and numbers with dots, dashes, and periods allowed in the middle. The maximum length is 80 characters.
    - gallery_image (GalleryImage) – Parameters supplied to the create or update gallery image operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns GalleryImage or ClientRawResponse<GalleryImage> if raw==True
    Return type: | AzureOperationPoller[GalleryImage] or AzureOperationPoller[ClientRawResponse[GalleryImage]]
    Raises: | `CloudError`

  `delete`(resource_group_name, gallery_name, gallery_image_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a gallery image.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition is to be deleted.
    - gallery_image_name (str) – The name of the gallery Image Definition to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, gallery_name, gallery_image_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a gallery Image Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery from which the Image Definitions are to be retrieved.
    - gallery_image_name (str) – The name of the gallery Image Definition to be retrieved.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GalleryImage or ClientRawResponse if raw=true
    Return type: | GalleryImage or ClientRawResponse
    Raises: | `CloudError`

  `list_by_gallery`(resource_group_name, gallery_name, custom_headers=None, raw=False, **operation_config)

    List gallery Image Definitions in a gallery.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery from which Image Definitions are to be listed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of GalleryImage
    Return type: | GalleryImagePaged[GalleryImage]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``GalleryImageVersionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GalleryImageVersionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, gallery_name, gallery_image_name, gallery_image_version_name, gallery_image_version, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a gallery Image Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition resides.
    - gallery_image_name (str) – The name of the gallery Image Definition in which the Image Version is to be created.
    - gallery_image_version_name (str) – The name of the gallery Image Version to be created. Needs to follow semantic version name pattern: The allowed characters are digit and period. Digits must be within the range of a 32-bit integer. Format: <MajorVersion>.<MinorVersion>.<Patch>
    - gallery_image_version (GalleryImageVersion) – Parameters supplied to the create or update gallery Image Version operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns GalleryImageVersion or ClientRawResponse<GalleryImageVersion> if raw==True
    Return type: | AzureOperationPoller[GalleryImageVersion] or AzureOperationPoller[ClientRawResponse[GalleryImageVersion]]
    Raises: | `CloudError`

  `delete`(resource_group_name, gallery_name, gallery_image_name, gallery_image_version_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a gallery Image Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition resides.
    - gallery_image_name (str) – The name of the gallery Image Definition in which the Image Version resides.
    - gallery_image_version_name (str) – The name of the gallery Image Version to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, gallery_name, gallery_image_name, gallery_image_version_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a gallery Image Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition resides.
    - gallery_image_name (str) – The name of the gallery Image Definition in which the Image Version resides.
    - gallery_image_version_name (str) – The name of the gallery Image Version to be retrieved.
    - expand (str or ReplicationStatusTypes) – The expand expression to apply on the operation. Possible values include: ‘ReplicationStatus’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GalleryImageVersion or ClientRawResponse if raw=true
    Return type: | GalleryImageVersion or ClientRawResponse
    Raises: | `CloudError`

  `list_by_gallery_image`(resource_group_name, gallery_name, gallery_image_name, custom_headers=None, raw=False, **operation_config)

    List gallery Image Versions in a gallery Image Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Image Gallery in which the Image Definition resides.
    - gallery_image_name (str) – The name of the Shared Image Gallery Image Definition from which the Image Versions are to be listed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of GalleryImageVersion
    Return type: | GalleryImageVersionPaged[GalleryImageVersion]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``GalleryApplicationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GalleryApplicationsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, gallery_name, gallery_application_name, gallery_application, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a gallery Application Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition is to be created.
    - gallery_application_name (str) – The name of the gallery Application Definition to be created or updated. The allowed characters are alphabets and numbers with dots, dashes, and periods allowed in the middle. The maximum length is 80 characters.
    - gallery_application (GalleryApplication) – Parameters supplied to the create or update gallery Application operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns GalleryApplication or ClientRawResponse<GalleryApplication> if raw==True
    Return type: | AzureOperationPoller[GalleryApplication] or AzureOperationPoller[ClientRawResponse[GalleryApplication]]
    Raises: | `CloudError`

  `delete`(resource_group_name, gallery_name, gallery_application_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a gallery Application.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition is to be deleted.
    - gallery_application_name (str) – The name of the gallery Application Definition to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, gallery_name, gallery_application_name, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a gallery Application Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery from which the Application Definitions are to be retrieved.
    - gallery_application_name (str) – The name of the gallery Application Definition to be retrieved.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GalleryApplication or ClientRawResponse if raw=true
    Return type: | GalleryApplication or ClientRawResponse
    Raises: | `CloudError`

  `list_by_gallery`(resource_group_name, gallery_name, custom_headers=None, raw=False, **operation_config)

    List gallery Application Definitions in a gallery.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery from which Application Definitions are to be listed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of GalleryApplication
    Return type: | GalleryApplicationPaged[GalleryApplication]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``GalleryApplicationVersionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GalleryApplicationVersionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, gallery_name, gallery_application_name, gallery_application_version_name, gallery_application_version, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update a gallery Application Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition resides.
    - gallery_application_name (str) – The name of the gallery Application Definition in which the Application Version is to be created.
    - gallery_application_version_name (str) – The name of the gallery Application Version to be created. Needs to follow semantic version name pattern: The allowed characters are digit and period. Digits must be within the range of a 32-bit integer. Format: <MajorVersion>.<MinorVersion>.<Patch>
    - gallery_application_version (GalleryApplicationVersion) – Parameters supplied to the create or update gallery Application Version operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns GalleryApplicationVersion or ClientRawResponse<GalleryApplicationVersion> if raw==True
    Return type: | AzureOperationPoller[GalleryApplicationVersion] or AzureOperationPoller[ClientRawResponse[GalleryApplicationVersion]]
    Raises: | `CloudError`

  `delete`(resource_group_name, gallery_name, gallery_application_name, gallery_application_version_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Delete a gallery Application Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition resides.
    - gallery_application_name (str) – The name of the gallery Application Definition in which the Application Version resides.
    - gallery_application_version_name (str) – The name of the gallery Application Version to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, gallery_name, gallery_application_name, gallery_application_version_name, expand=None, custom_headers=None, raw=False, **operation_config)

    Retrieves information about a gallery Application Version.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition resides.
    - gallery_application_name (str) – The name of the gallery Application Definition in which the Application Version resides.
    - gallery_application_version_name (str) – The name of the gallery Application Version to be retrieved.
    - expand (str or ReplicationStatusTypes) – The expand expression to apply on the operation. Possible values include: ‘ReplicationStatus’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GalleryApplicationVersion or ClientRawResponse if raw=true
    Return type: | GalleryApplicationVersion or ClientRawResponse
    Raises: | `CloudError`

  `list_by_gallery_application`(resource_group_name, gallery_name, gallery_application_name, custom_headers=None, raw=False, **operation_config)

    List gallery Application Versions in a gallery Application Definition.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - gallery_name (str) – The name of the Shared Application Gallery in which the Application Definition resides.
    - gallery_application_name (str) – The name of the Shared Application Gallery Application Definition from which the Application Versions are to be listed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of GalleryApplicationVersion
    Return type: | GalleryApplicationVersionPaged[GalleryApplicationVersion]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``DisksOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DisksOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, disk_name, disk, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - disk (Disk) – Disk object supplied in the body of the Put disk operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Disk or ClientRawResponse<Disk> if raw==True
    Return type: | AzureOperationPoller[Disk] or AzureOperationPoller[ClientRawResponse[Disk]]
    Raises: | `CloudError`

  `delete`(resource_group_name, disk_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, disk_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Disk or ClientRawResponse if raw=true
    Return type: | Disk or ClientRawResponse
    Raises: | `CloudError`

  `grant_access`(resource_group_name, disk_name, access, duration_in_seconds, custom_headers=None, raw=False, polling=True, **operation_config)

    Grants access to a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - access (str or AccessLevel) – Possible values include: ‘None’, ‘Read’, ‘Write’
    - duration_in_seconds (int) – Time duration in seconds until the SAS access expires.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns AccessUri or ClientRawResponse<AccessUri> if raw==True
    Return type: | AzureOperationPoller[AccessUri] or AzureOperationPoller[ClientRawResponse[AccessUri]]
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the disks under a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Disk
    Return type: | DiskPaged[Disk]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists all the disks under a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Disk
    Return type: | DiskPaged[Disk]
    Raises: | `CloudError`

  `revoke_access`(resource_group_name, disk_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Revokes access to a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, disk_name, disk, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates (patches) a disk.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - disk_name (str) – The name of the managed disk that is being created. The name can’t be changed after the disk is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The maximum name length is 80 characters.
    - disk (DiskUpdate) – Disk object supplied in the body of the Patch disk operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Disk or ClientRawResponse<Disk> if raw==True
    Return type: | AzureOperationPoller[Disk] or AzureOperationPoller[ClientRawResponse[Disk]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>

class `azure.mgmt.compute.v2019_03_01.operations.``SnapshotsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SnapshotsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2019-03-01”.

  `create_or_update`(resource_group_name, snapshot_name, snapshot, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - snapshot (Snapshot) – Snapshot object supplied in the body of the Put disk operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Snapshot or ClientRawResponse<Snapshot> if raw==True
    Return type: | AzureOperationPoller[Snapshot] or AzureOperationPoller[ClientRawResponse[Snapshot]]
    Raises: | `CloudError`

  `delete`(resource_group_name, snapshot_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `get`(resource_group_name, snapshot_name, custom_headers=None, raw=False, **operation_config)

    Gets information about a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Snapshot or ClientRawResponse if raw=true
    Return type: | Snapshot or ClientRawResponse
    Raises: | `CloudError`

  `grant_access`(resource_group_name, snapshot_name, access, duration_in_seconds, custom_headers=None, raw=False, polling=True, **operation_config)

    Grants access to a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - access (str or AccessLevel) – Possible values include: ‘None’, ‘Read’, ‘Write’
    - duration_in_seconds (int) – Time duration in seconds until the SAS access expires.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns AccessUri or ClientRawResponse<AccessUri> if raw==True
    Return type: | AzureOperationPoller[AccessUri] or AzureOperationPoller[ClientRawResponse[AccessUri]]
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists snapshots under a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Snapshot
    Return type: | SnapshotPaged[Snapshot]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists snapshots under a resource group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Snapshot
    Return type: | SnapshotPaged[Snapshot]
    Raises: | `CloudError`

  `revoke_access`(resource_group_name, snapshot_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Revokes access to a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `update`(resource_group_name, snapshot_name, snapshot, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates (patches) a snapshot.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - snapshot_name (str) – The name of the snapshot that is being created. The name can’t be changed after the snapshot is created. Supported characters for the name are a-z, A-Z, 0-9 and _. The max name length is 80 characters.
    - snapshot (SnapshotUpdate) – Snapshot object supplied in the body of the Patch snapshot operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns Snapshot or ClientRawResponse<Snapshot> if raw==True
    Return type: | AzureOperationPoller[Snapshot] or AzureOperationPoller[ClientRawResponse[Snapshot]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.compute.v2019_03_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/compute/v2019_03_01/models/__init__.py'>